package com.adc.da.znks.dao;

import com.adc.da.base.dao.BaseDao;
import com.adc.da.znks.entity.Gateway;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

@Mapper
public interface GatewayDao extends BaseDao<Gateway> {

    /**
     * 根据手机号查询网关相关信息
     * @param phoneNumber
     * @return
     */
    Gateway getByPhoneNumber(String phoneNumber);

    void updateIpByMac(Gateway gateway);

    List<Map<String,Object>> selectIp(@Param("ip") String ip);

}
