package com.adc.da.znks.dao;

import com.adc.da.base.dao.BaseDao;
import com.adc.da.znks.entity.Device;
import com.adc.da.znks.entity.LockRecord;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @author David
 */
@Mapper
public interface LockRecordDao extends BaseDao<LockRecord> {

    void insertLockRecord(LockRecord lockRecord);

    List<Map<String,Object>> selectLockRecord(@Param("phone") String phone,@Param("deviceCode") String deviceCode);

}
