package com.adc.da.znks.dao;

;
import com.adc.da.base.dao.BaseDao;
import com.adc.da.znks.entity.User;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.Update;

import java.util.List;
import java.util.Map;

/**
 *
 * <br>
 * <b>功能：</b>UserDao<br>
 */
@Mapper
public interface UserDao extends BaseDao<User> {

    @Select("SELECT * FROM tb_user WHERE temphone = #{phoneNumber}")
    User getUserByPhoneNumber(@Param("phoneNumber") String phoneNumber);

    List<Map<String,Object>> queryIpByUser(@Param("phone") String phone);

    @Update("UPDATE tb_user SET client_id = #{clientId} WHERE temphone = #{phoneNumber}")
    int updateClientIdByPhoneNumber(@Param("clientId")String clientId, @Param("phoneNumber")String phoneNumber);

    List<Map<String,Object>> queryClientByIp(@Param("ip") String ip);

}
