package com.adc.da.znks.entity;

import com.adc.da.base.entity.BaseEntity;

/**
 * app user
 **/
public class User extends BaseEntity {

    private String id;

    private String temphone;

    private String password;

    /**
     * 明文密码,不持久化到数据库
     **/
    private transient String plainPassword;

    private String clientId;

    public User() {
    }

    public User(String id, String temphone, String encryptkey, String password) {
        this.id = id;
        this.temphone = temphone;
        this.password = password;
        this.encryptkey = encryptkey;
    }

    /**
     * 密钥
     **/
    private String encryptkey;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getTemphone() {
        return temphone;
    }

    public void setTemphone(String temphone) {
        this.temphone = temphone;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getPlainPassword() {
        return plainPassword;
    }

    public void setPlainPassword(String plainPassword) {
        this.plainPassword = plainPassword;
    }

    public String getEncryptkey() {
        return encryptkey;
    }

    public void setEncryptkey(String encryptkey) {
        this.encryptkey = encryptkey;
    }

    public String getClientId() {
        return clientId;
    }

    public void setClientId(String clientId) {
        this.clientId = clientId;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"id\":\"")
                .append(id).append('\"');
        sb.append(",\"temphone\":\"")
                .append(temphone).append('\"');
        sb.append(",\"password\":\"")
                .append(password).append('\"');
        sb.append(",\"plainPassword\":\"")
                .append(plainPassword).append('\"');
        sb.append(",\"encryptkey\":\"")
                .append(encryptkey).append('\"');
        sb.append(",\"clientId\":\"")
                .append(clientId).append('\"');
        sb.append('}');
        return sb.toString();
    }
}
