package com.adc.da.znks.dao;

import com.adc.da.base.dao.BaseDao;
import com.adc.da.znks.entity.Device;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author David
 */
@Mapper
public interface DeviceDao extends BaseDao<Device> {

    /**
     * 根据手机号查询改手机号下的所有设备
     * @param phoneNumber
     * @return
     */
    List<Device> listByPhoneNumber(String phoneNumber);

    void deleteDeviceById(@Param("id") String id);

}
