package com.adc.da.znks.util;

import com.adc.da.znks.entity.ResponseEntity;

public class GenResponse {

    public static <T> ResponseEntity<T> success(String respCode, String messgae, T data) {
        ResponseEntity responseEntity = new ResponseEntity();
        responseEntity.setData(data);
        responseEntity.setOk(true);
        responseEntity.setMessage(messgae);
        responseEntity.setRespCode(respCode);
        return responseEntity;
    }

    public static <T> ResponseEntity<T> success() {
        ResponseEntity responseEntity = new ResponseEntity();
        responseEntity.setOk(true);
        return responseEntity;
    }

    public static ResponseEntity fail(String messgae) {
        ResponseEntity responseEntity = new ResponseEntity();
        responseEntity.setOk(false);
        responseEntity.setMessage(messgae);
        return responseEntity;
    }

}
